உள்ளடக்கத்திற்குச் செல்க

Wan 2.5 Text to Image

ஒருங்கிணை

மாடல் id wan-25-preview/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-25-preview/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கை: $0.05 50 API கிரெடிட்கள் இந்தப் பக்கத்தில் இயக்குங்கள்

API விசையைப் பெறுக

சீனம் மற்றும் ஆங்கிலப் ப்ராம்ப்ட்களுடன் Wan 2.5 உரையிலிருந்து படம், ஒவ்வொரு அழைப்பிலும் அதிகபட்சம் நான்கு படங்களுடன்

Doitong இல் உருவாக்கப்பட்டது

Doitong சமூகத்தினரால் Wan 2.5 மூலம் உருவாக்கப்பட்ட பொதுப் படைப்புகள். ஒரே கிளிக்கில் ப்ராம்ப்ட்டை மீண்டும் பயன்படுத்தவும்.

காட்டப்படும் பொதுப் படைப்புகள்: 5
Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a... வீடியோ

Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video must feel like a real spontaneous phone...

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone vide... வீடியோ

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video...

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with na... வீடியோ

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with natural acting, realistic lighting and believable facial expressions. All dialogue is spoken naturally in French. **SCENE 1 — EXPENSIVE RESTAURANT, EVENING — 0–5 sec** A young man in his late 20s is...

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scen... வீடியோ

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...

TITLE: Santa's Secret Christmas Selfie with Dasha 🎄 VIDEO FORMAT: 15–20 seconds, vertical 9:16, c... வீடியோ

TITLE: Santa's Secret Christmas Selfie with Dasha 🎄 VIDEO FORMAT: 15–20 seconds, vertical 9:16, cinematic Christmas short film, high-quality realistic 3D animation. REFERENCE IMAGE — DASHA_001 Use the uploaded image as the exact character reference for Dasha. Preserve her recognizable face,...

கோரிக்கையை உருவாக்கு

மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.

•தேவை

பட உருவாக்க வழிமுறைகள்; 2000 எழுத்துகளுக்கு மட்டுப்படுத்தப்பட்டு, சீனம் அல்லது ஆங்கிலத்தில் எழுதப்பட வேண்டும்.

image_size இயல்புநிலை square

உருவாக்கப்பட்ட படத்தின் பரிமாணங்கள்; மொத்த பிக்சல் எண்ணிக்கை 768×768 முதல் 1440×1440 வரைவும், விகிதம் 1:4 முதல் 4:1 வரைவும் இருக்க வேண்டும். பரிமாணங்களை நேரடியாகக் குறிப்பிடலாம் அல்லது 'square' அல்லது 'landscape_16_9' போன்ற பெயரிடப்பட்ட முன்னமைவைத் தேர்ந்தெடுக்கலாம்.

num_images இயல்புநிலை 1

பட உருவாக்க எண்ணிக்கை, 1 முதல் 4 வரை.

மேம்பட்டவை negative_prompt · seed · enable_prompt_expansion · enable_safety_checker

விரும்பாத உள்ளடக்கத்தைக் குறிப்பிடும் எதிர்மறை ப்ராம்ப்ட்; 500 எழுத்துகளுக்கு மட்டுப்படுத்தப்பட்டது.

உருவாக்கத்தை மீண்டும் உருவாக்கக்கூடியதாக மாற்றும் விதை. None என அமைத்தால் விதை சீரற்றதாகத் தேர்ந்தெடுக்கப்படும்.

POST /run/wan-25-preview/text-to-image?wait=20 விலை → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-25-preview/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கையை இயக்கு

உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்

Wan 2.5 Text to Image பற்றி

சீனம் அல்லது ஆங்கிலத்தில் அதிகபட்சம் 2000 எழுத்துகள் கொண்ட உரை `prompt`-இலிருந்து படங்களை உருவாக்குகிறது. `num_images` 1 முதல் 4 வரை இருக்கும்; `image_size` முன்னமைவுகள் அல்லது வெளிப்படையான பரிமாணங்களை ஏற்கிறது, மொத்த பிக்சல்கள் 768x768 முதல் 1440x1440 வரை இருக்கும். LLM மூலம் ப்ராம்ப்ட்டை மறுஎழுதும் ப்ராம்ப்ட் விரிவாக்கம் இயல்புநிலையாக இயக்கப்பட்டுள்ளது. `negative_prompt` மற்றும் `seed` ஆகியவையும் கிடைக்கின்றன.

அளவுருக்கள்

நியமப் பெயர் அல்லது நேட்டிவ் பெயர் இரண்டில் ஒன்றை மட்டும் அனுப்பவும். நியமப் பெயர்கள்

பெயர்வகை இயல்புநிலைஅனுமதிக்கப்பட்டது விளக்கம்
promptதேவை
வகைstring
பட உருவாக்க வழிமுறைகள்; 2000 எழுத்துகளுக்கு மட்டுப்படுத்தப்பட்டு, சீனம் அல்லது ஆங்கிலத்தில் எழுதப்பட வேண்டும்.
negative_promptவிருப்பத்தேர்வு
வகைstring | null
விரும்பாத உள்ளடக்கத்தைக் குறிப்பிடும் எதிர்மறை ப்ராம்ப்ட்; 500 எழுத்துகளுக்கு மட்டுப்படுத்தப்பட்டது.
num_imagesவிருப்பத்தேர்வு num_outputs
வகைinteger
இயல்புநிலை1
1 – 4
பட உருவாக்க எண்ணிக்கை, 1 முதல் 4 வரை.
image_sizeவிருப்பத்தேர்வு
வகைobject
இயல்புநிலைsquare
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
உருவாக்கப்பட்ட படத்தின் பரிமாணங்கள்; மொத்த பிக்சல் எண்ணிக்கை 768×768 முதல் 1440×1440 வரைவும், விகிதம் 1:4 முதல் 4:1 வரைவும் இருக்க வேண்டும். பரிமாணங்களை நேரடியாகக் குறிப்பிடலாம் அல்லது 'square' அல்லது 'landscape_16_9' போன்ற பெயரிடப்பட்ட முன்னமைவைத் தேர்ந்தெடுக்கலாம்.
enable_prompt_expansionவிருப்பத்தேர்வு
வகைboolean
இயல்புநிலைtrue
LLM அடிப்படையிலான ப்ராம்ப்ட் மறுஎழுத்தாக்கம்; குறுகிய ப்ராம்ப்ட்களுக்கு சிறந்த முடிவுகளைப் பெற கூடுதல் செயலாக்க நேரத்தைச் செலவிடும்.
seedவிருப்பத்தேர்வு
வகைinteger | null
உருவாக்கத்தை மீண்டும் உருவாக்கக்கூடியதாக மாற்றும் விதை. None என அமைத்தால் விதை சீரற்றதாகத் தேர்ந்தெடுக்கப்படும்.
enable_safety_checkerவிருப்பத்தேர்வு
வகைboolean
இயல்புநிலைtrue
பாதுகாப்புச் சரிபார்ப்பு மாற்றி; முடக்கப்பட்ட அமைப்பைப் பயன்படுத்த கணக்கு அங்கீகாரம் தேவை. அந்த அங்கீகாரம் இல்லாமல், அமைப்பைப் பொருட்படுத்தாமல் ஒவ்வொரு கோரிக்கையும் சரிபார்க்கப்படும்; true சரிபார்ப்பை இயக்குகிறது.
தேவை நியமப் பெயர், இதுவும் ஏற்கப்படும்

வெளியீடு

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan-25-preview/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seeds": [
      42
    ],
    "actual_prompt": "A lone samurai standing on the edge of a cliff at twilight, overlooking a vast valley shrouded in mist. The sky burns with deep orange and purple hues from the setting sun, casting long, dramatic shadows. The samurai’s silhouette glows against the horizon, with their sword reflecting a glint of fading light. The overall style is hyper-realistic, cinematic, and moody, with dramatic contrast and atmospheric depth."
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
உங்கள் கோப்புகள், உங்கள் தேர்வுஒவ்வொரு outputs[].url-ம் எங்கள் சேமிப்பகத்தில் உள்ள ஒரு நகல்: நிரந்தரமாக (GB-மாதத்திற்கு கட்டணம்) அல்லது உங்கள் கணக்கு அமைப்பு அல்லது ?storage= மூலம் இலவசமாக 7 நாட்கள் வைக்கப்படும்.
ஒவ்வொரு மாடலிலும் ஒரே வடிவம்படங்கள், வீடியோ மற்றும் ஆடியோ ஆகிய அனைத்திற்குமான type, url, content_type, width, height மற்றும் duration. output என்பது மாதிரியின் சொந்த முடிவு பொருளாகும்.
வெளியீட்டின் புலங்கள்
images
array of object {url, content_type, file_name, file_size, width, height}மாதிரியால் உருவாக்கப்பட்ட படங்கள்.
seeds
array of integerதனித்தனி படங்களை உருவாக்கப் பயன்படுத்தப்படும் seed மதிப்புகள்.
actual_prompt
string | nullமீண்டும் எழுதுதல் இயக்கப்பட்டபோது உண்மையில் பயன்படுத்தப்படும் ப்ராம்ப்ட்.

மேலும் மாதிரிகள்: உரையிலிருந்து படத்திற்கு

AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/wan-25-preview/text-to-image.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt